HABBase 1_5_1 won't install

48 views
Skip to first unread message

Oliver de Peyer

unread,
Jul 10, 2022, 3:52:19 PMJul 10
to Ukhas
Hello, when I try to download and install the latest version of HABBase from Dave’s website, installation completes but I then get errors when I try to run it (or even quit it)
See attached screenshots

Any thoughts?

Many thanks in advance

Oliver

M0LVR




Ross G6GVI

unread,
Jul 10, 2022, 4:19:17 PMJul 10
to UKHAS
I've been helping Dave with beta-testing that new Version today and have seen exactly the same issues.
Dave is still working on the problem, but meanwhile I've discovered that installing V1.5.1 does successfully install the WebView2 DLL and then if I go back and re-run the V1.5.0 Installer (from 2-Feb-2022) then the program runs fine and displays the maps.

On Sunday, 10 July 2022 at 20:52:19 UTC+1 Oliver de Peyer Astrobiologist wrote:
Hello, when I try to download and install the latest version of HABBase from Dave’s website, installation completes but I then get errors when I try to run it (or even quit it)
Any thoughts?

David Akerman

unread,
Jul 10, 2022, 4:49:43 PMJul 10
to uk...@googlegroups.com
Hi Oliver.  I'm aware of this and I'll get it fixed tomorrow.  Meanwhile, get the application .exe from V1.5.0

Dave

--
You received this message because you are subscribed to the Google Groups "UKHAS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to ukhas+un...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/ukhas/EDB16AFA-5070-448D-9C53-1CA878628F22%40googlemail.com.

Oliver de Peyer

unread,
Jul 10, 2022, 6:15:16 PMJul 10
to Ukhas
Dear Ross

I tried the same thing (i.e installing 1.5 instead) but then I get the error "Could not initialize Edge Chromium! Please check if WebView2Loader_x86.dll is correctly distributed and accessible”
(Which is what I believe 1.5.1 is meant to fix versus 1.5)

WebView2 is indeed installed from my earlier attempts to install 1.5.1.

I couldn’t work out how to install WebView2Loader_x86.dll on its own.

I am back on 1.4 now which I hope will at least allow me to upload packets from tomorrow’s flight, even if I can’t see the map.

Any advice on getting past the WebView2Loader_x86.dll error?

Many thanks all

Ol

M0LVR
> --
> You received this message because you are subscribed to the Google Groups "UKHAS" group.
> To unsubscribe from this group and stop receiving emails from it, send an email to ukhas+un...@googlegroups.com.
> To view this discussion on the web visit https://groups.google.com/d/msgid/ukhas/f6283f5d-2138-442d-8d3a-47939d4dc5a6n%40googlegroups.com.

Oliver de Peyer

unread,
Jul 10, 2022, 6:18:51 PMJul 10
to Ukhas
Many thanks Dave
This is the error I get when I try to install 1.5.0
Ol
M0LVR



On 10 Jul 2022, at 21:49, David Akerman <da...@sccs.co.uk> wrote:

Hi Oliver.  I'm aware of this and I'll get it fixed tomorrow.  Meanwhile, get the application .exe from V1.5.0

Dave

On Sun, 10 Jul 2022 at 20:52, 'Oliver de Peyer' via UKHAS <uk...@googlegroups.com> wrote:
Hello, when I try to download and install the latest version of HABBase from Dave’s website, installation completes but I then get errors when I try to run it (or even quit it)
See attached screenshots

Any thoughts?

Many thanks in advance

Oliver

M0LVR

<Screenshot 2022-07-10 at 20.19.53.png><Screenshot 2022-07-10 at 20.19.40.png>



--
You received this message because you are subscribed to the Google Groups "UKHAS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to ukhas+un...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/ukhas/EDB16AFA-5070-448D-9C53-1CA878628F22%40googlemail.com.

--
You received this message because you are subscribed to the Google Groups "UKHAS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to ukhas+un...@googlegroups.com.

David Akerman

unread,
Jul 10, 2022, 6:20:12 PMJul 10
to UKHAS
That DLL is installed into the application folder by 1.5.1

Oliver de Peyer

unread,
Jul 10, 2022, 6:56:05 PMJul 10
to Ukhas
Ah - got you
So - install 1.5.1
Then go back and install 1.5
Right as rain
Many thanks
Ol

Ross G6GVI

unread,
Jul 11, 2022, 4:55:59 PMJul 11
to UKHAS
Dave has released a new Version (1.6) today:
which I've installed and run without any problems. It even imported all my settings from the previous versions.
And I've just been in touch with Jack G8HIK - he confirms that it does for him too.

John Laidler

unread,
Jul 12, 2022, 11:29:26 AMJul 12
to uk...@googlegroups.com
Ross,

I've just installed it for the first time and can confirm the installation seems to have gone smoothly.

What I can't yet do is set it up to work!  I have a LoRa Pi Gateway linked into my home wifi and I can access it using PuTTY, which is how I've always done it and control the device in a window on a PC.

I've tried to set it up as a source on HabBase but it connects only for a fraction of a second before saying "no connection".  The IP Address of the gateway on my network is 192.168.1.166 and the Port is 22 which I have entered into the source configuration page. 

What I find curious is it doesn't seem to want a username and password for the Pi. 

I've looked at Dave's page on his website but I need a dummy's guide!  Are you able to help?  Just a screenshot of your settings might be all I need.

Best wishes,

John
M0WIV 

--
You received this message because you are subscribed to the Google Groups "UKHAS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to ukhas+un...@googlegroups.com.

David Akerman

unread,
Jul 12, 2022, 11:42:49 AMJul 12
to UKHAS
The port number is one that the gateway listens to, and is nothing to do with SSH.  It's port 6004 by default but you can set it in gateway.txt.  So check that setting, start the gateway program, then set up the gateway source in HAB Base.

Dave

Ross G6GVI

unread,
Jul 12, 2022, 12:04:21 PMJul 12
to UKHAS
Hi John, I see that Dave has already given you the answer - the Pi LoRa Gateway is set on Port 6004.
BTW, I use a VNC link into my Pi to start the program, rather than PuTTY.

And for flights with RTTY, I plug the audio output from the back of my Yaesu FT897 into the soundcard of a little Acer Revo PC running DL-FLDIGI which sits on top of the radio and is operated via VNC. This outputs onto Port 7322, but I found that I needed to add the Host IP address to the command line when starting FLDIGI, so that I could connect from the HAB Base program running on my desktop PC.

73 de Ross

David Akerman

unread,
Jul 12, 2022, 12:13:26 PMJul 12
to UKHAS
What was the command-line magic to make port 7322 available from another PC?


--
You received this message because you are subscribed to the Google Groups "UKHAS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to ukhas+un...@googlegroups.com.

John Laidler

unread,
Jul 12, 2022, 1:05:15 PMJul 12
to UKHAS
Dave, Ross,

Thank you.  I've now got it working having put in the correct port number.  It also didn't help I had the IP address set to 192.166 instead of 192.168 but once that was corrected it is working.  Dohhh

73
John
M0WIV

Ross G6GVI

unread,
Jul 12, 2022, 1:40:18 PMJul 12
to UKHAS
To enable the output from FLDIGI to a remote PC, I (eventually) found that I just needed to edit the Properties of the Desktop Shortcut to set the server PC's IP address, with " --arq-server-address 192.168.0.15" (in my case):
startup.png

Then in HAB Base put the Host's IP Address and Port 7322:
settings.png

"Simples!"

Ross

On Tuesday, 12 July 2022 at 17:13:26 UTC+1 David Akerman wrote:
What was the command-line magic to make port 7322 available from another PC?


David Akerman

unread,
Jul 12, 2022, 1:53:57 PMJul 12
to UKHAS
Cheers!

--
You received this message because you are subscribed to the Google Groups "UKHAS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to ukhas+un...@googlegroups.com.
Reply all
Reply to author
Forward
0 new messages